//--- Textures For Space Rex    & CTDS shapes

#declare Gold3 = 
texture {  
	0.02  
	ambient 0.2 
	diffuse 0.4 
	colour red 0.71 green 0.65 blue 0.26
	reflection 0.6 
	brilliance 8 
	specular 0.4 
}

//--- Dark Metallic Steel
#declare HTex = 
texture {  
	0.02  
	ambient 0.2 
	diffuse 0.5 
        color DarkSlateGray
	reflection 0.6 
	brilliance 8 
	specular 0.4 
}

#declare RayGunGreen = 
texture {  
	0.02  
	ambient 0.2 
	diffuse 0.3 
	colour red 0.21 green 0.65 blue 0.44
	reflection 0.5 
	brilliance 6 
	specular 0.4 
}

#declare LaserDust =
texture {
 color Clear
 alpha .99
 refraction .7
 ior 2
 ambient 1
 diffuse 0
}
texture {
   gradient <1 0 0>
   color_map {
     [0 .6 color Yellow alpha .5 color Clear]
     [.6 1 color Clear color Clear]
   }
   scale <33 1 1>
}




#declare Laser =
texture {
  color Red
  ambient 1
  diffuse .5
}


#declare EarComm_Texture 	= texture { Gold3 }
#declare ArmBand_Texture 	= texture { Gold3 }
#declare Arm_Texture 		= texture { HTex }
#declare Elbow_Texture		= texture { Gold3 }
#declare Shoulder_Texture 	= texture { HTex }
#declare Knob_Texture 		= texture { Gold3 }
#declare Helmet_Texture		= texture { HTex }
#declare Neck_Texture 		= texture { Gold3 }
#declare NeckRing_Texture 	= texture { HTex }
#declare Harness_Texture	= texture { Gold3 }
#declare Chest_Texture 		= texture { HTex }
#declare Stomach_Texture 	= texture { HTex }
#declare EyeTexture 		= texture { HTex }
#declare Wire_Texture 		= texture { Gold3 }
#declare FM 			= texture { Gold3 }
#declare HandTexture		= texture { Gold3 }









//--- CTDS Parts 
// ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^


#declare YourTexture =      texture {
       color red 0.556863 green 0.419608 blue 0.137255
       ambient   0.1
       diffuse   0.6
       phong 1
    }

#declare Dot =
    quadric {
       < 1.0  1.0  1.0>
       < 0.0  0.0  0.0>
       < 0.0  0.0  0.0>
        -1.0
    }


#declare Connector_1 = 
   object {
      quadric {
         < 0.0  1.0  1.0>
         < 0.0  0.0  0.0>
         < 0.0  0.0  0.0>
          -1.0
      }
      clipped_by {
         plane { < 1.0  0.0  0.0> 1.0 }
         plane { <-1.0  0.0  0.0> 0.0 }
      }
   }


#declare Connector_2 =
   quadric {
      < 1.0 -1.0  1.0>
      < 0.0  0.0  0.0>
      < 0.0  0.0  0.0>
        0.0
      rotate < 0.0  0.0  90.0>
   }

#declare Connector_4 = 
intersection {
      quadric {
         < 0.0  1.0  1.0>
         < 0.0  0.0  0.0>
         < 0.0  0.0  0.0>
          -1.0
      }
         plane { < 1.0  0.0  0.0> 1.0 }
         plane { <-1.0  0.0  0.0> 0.0 }
      }




