//---- Rex on lost Planet W



//-------  Hazy Clouds
composite {
   object {
    quadric { Sphere scale <1 1 1> }
     texture {
      gradient <0 1 0> 
	color_map {
	[0 .2 color Gray alpha .7 color White alpha .8 ]
	[.2 .4 color White alpha .8 color Clear]
	[.4 1 color Clear color Clear]
	}
	scale <1 1 1>
	ambient 1
	diffuse 0
        turbulence .7
     }
   clipped_by {
   plane { <0 0 1> .5 inverse }
   }
  scale <100000 100000 100000>
  rotate <0 -20 0>   translate <0 800 0>
  } 

   object {
    quadric { Sphere scale <1 1 1> }
     texture {
      gradient <0 1 0> 
	color_map {
	[0 .3 color SeaGreen color red .05 green .08 blue .12 ]
	[.3 1 color red .05 green .08 blue .12 color Black]
	}
	scale <1 .5 1>
	ambient 1
	diffuse 0
     }
   clipped_by {
   plane { <0 0 1> .5 inverse }
   }
   scale <200000 200000 200000>
   translate <0 0 0>
  } 
translate <0 -1000 0>
}


//--- My first Moon....I should stop tracing naked
//--- Background Planet
composite {
object {
 sphere { <0 0 0> 1 }
 texture { 
   bozo
   turbulence .4
   color_map {
    [0 .5 color Gray60 color Gray40]
    [.5 1 color Gray40 color Gray60]
   }
   scale .2
   ambient .5
   diffuse .2
   .05
 }
  scale <8000 8000 8000>
  rotate <0 0 0>
  translate <0 42000 150000>
  rotate <0 -17 0>
}

object {
 sphere { <0 0 0> 1 }
 texture { 
   bozo
   turbulence .4
   color_map {
    [0 .5 color Clear color White alpha .6]
    [.5 1 color White alpha .6 color Clear]
   }
   scale .5
   ambient .5
   diffuse .4
   .05
 }
  scale <8500 8500 8500>
  rotate <0 0 0>
  translate <0 42000 150000>
  rotate <0 -17 0>
}
}


//++++++++++++++++++++++++++++++++++++++++++++++

//--- Water

//---- Water Overlay
#declare Water =
	texture {
	reflection .3
	ripples .01 
	frequency .03 
	color red .19 green .22 blue .28 alpha .95
	refraction 1
	ior 1.5   
	ambient .2
	diffuse .15
	phong 1
}


//--- Rippley Water
composite {

object {
  plane { <0 1 0> 590 }
  texture {
   image_map { <-1 0 1> gif "ripple.gif" interpolate 4 }
   scale <1000 1 1000>
   ambient .7
   diffuse .7
  }
}


object {
  plane { <0 1 0> 600 }
  texture {
   Water
   translate <0 600 -4000>
  }
}
translate <0 50 0>
}

//++++++++++++++++++++++++++++++++++++++++++++++++++++++



//---- Rocky Ridge

//-----Translucent Grnt2
#declare Grnt2a = texture {
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.144   colour red  0.863  green  0.757  blue  0.596  alpha  0.596
      colour red  0.925  green  0.792  blue  0.714  alpha  0.349]
      [0.144 0.288   colour red  0.925  green  0.792  blue  0.714  alpha  0.349
      colour red  0.871  green  0.702  blue  0.659  alpha  0.784]
      [0.288 0.644   colour red  0.871  green  0.702  blue  0.659  alpha  0.784
      colour red  0.992  green  0.922  blue  0.659  alpha  0.498]
      [0.644 0.983   colour red  0.992  green  0.922  blue  0.659  alpha  0.498
      colour red  0.902  green  0.812  blue  0.714  alpha  0.722]
      [0.983 1.001   colour red  0.902  green  0.812  blue  0.714  alpha  0.722
      colour red  0.863  green  0.757  blue  0.596  alpha  0.596]
   }
}

//--------- Alpha Sand & light Orange
#declare Grnt15a = texture {
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.154   colour red  0.996  green  0.824  blue  0.780  alpha  0.412
      colour red  0.996  green  0.698  blue  0.624  alpha  0.412]
      [0.154 0.308   colour red  0.996  green  0.698  blue  0.624  alpha  0.412
      colour red  0.906  green  0.675  blue  0.553  alpha  0.616]
      [0.308 0.444   colour red  0.906  green  0.675  blue  0.553  alpha  0.616
      colour red  0.996  green  0.682  blue  0.604  alpha  0.412]
      [0.444 0.615   colour red  0.996  green  0.682  blue  0.604  alpha  0.412
      colour red  0.996  green  0.824  blue  0.780  alpha  0.412]
      [0.615 0.812   colour red  0.996  green  0.824  blue  0.780  alpha  0.412
      colour red  0.973  green  0.627  blue  0.627  alpha  0.600]
      [0.812 1.001   colour red  0.973  green  0.627  blue  0.627  alpha  0.600
      colour red  0.996  green  0.824  blue  0.780  alpha  0.412]
   }
}


/*--------------------Crack & OverTint /Red---------------------*/
#declare Crack1 = texture {
   marble
   turbulence 0.85
   color_map {
      [0.0 0.04 color Black alpha 0.6 color Black alpha 1.0]
      [0.04 0.97 color Scarlet alpha 0.80 color DimGray alpha 0.90]
      [0.97 1.001 color Black alpha 0.9 color Black alpha 1.0]
   }
}

//------------- Rose & White Marble with dark tan swirl
#declare Stone11 =
texture { color Black }
texture { Grnt15a scale <1.2 3 1.5> rotate <70 0 30> 0.03 ambient .1 }
texture { Grnt2a scale <3 3 4> rotate <0 0 40>  ambient .1 }
texture { Crack1 scale <1 2 1.4> rotate <10 0 -20> ambient .1 }



//#declare Stone11 = texture { color Gray50 }

//--- A Rock Gourge
object {
  height_field {
    tga "l7.tga"
    water_level 0.01
    scale <10000 2000 10000>
    translate <-5000 0 -5000>
    rotate <0 0 0>
  }
   texture {
    Stone11
    phong .4
    phong_size 100
    scale <500 200 200>
    ambient .01
    diffuse .1
    .1
    }
translate <0 -600 0>
}

//--- Blue Reflect Panel
object {
  union { Square_Y scale <50000 1 50000 > translate <0 50000 -20000> }
  texture {
   color CadetBlue
   ambient .1
   diffuse .1
  }
}




